﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            (double[] xs, double[] ys) = DataGen.RandomWalk2D(new Random(0), 5000);

            SignalPlotXY signalPlotXY = plot.AddSignalXY(xs, ys);

            signalPlotXY.StepDisplay = true;
            signalPlotXY.MarkerSize  = 0;

            plot.SetAxisLimits(110, 140, 17.5, 27.5);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}